
s = require 'sphere'

function love.load()
	wd, ht = 400, 400
	love.graphics.setMode( wd, ht, {} )
	gt = 0
	love.graphics.setCaption( 'Checkered Sphere' )
	screen = { ht, wd }
	love.graphics.setBackgroundColor( 0, 0, 55 )
	love.mouse.setPosition( wd/2, ht/2 )
	end

function love.update( dt )
	gt = gt + dt
	s.effect:send( 'time', gt )
	s.effect:send( 'screen', screen )
	s.effect:send( 'mouse',{love.mouse.getPosition( )})
	end

function love.draw()
	love.graphics.setColor( 255, 0, 0 )
	love.graphics.setPixelEffect( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setPixelEffect()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
